# Generated by Django 4.2.3 on 2023-11-24 21:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("organizations", "0008_userorganizationgroup_created_at_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Team",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "nc_group_id",
                    models.CharField(max_length=255, verbose_name="team_group_id_prop"),
                ),
                (
                    "nc_conversation_token",
                    models.CharField(
                        max_length=255, verbose_name="team_conversation_token_prop"
                    ),
                ),
                (
                    "is_personal_workspace",
                    models.BooleanField(
                        default=False, verbose_name="team_is_personal_workspace_prop"
                    ),
                ),
                (
                    "organization",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="organizations.organization",
                        verbose_name="team_conversation_fk_organization_name",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="UserTeam",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "team",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="organizations.team",
                        verbose_name="user_team_fk_id_team",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="user_team_fk_id_user_name",
                    ),
                ),
            ],
        ),
    ]
